<?php namespace App\Models;

use Illuminate\Auth\Authenticatable;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Support\Facades\Auth;

class reservacionesusuario extends Sximo  {
	
	protected $table = 'calendar';
	protected $primaryKey = 'id';

	public function __construct() {
		parent::__construct();
		$id = Auth::id();

		$dbcon = 0;
		$sql = \DB::table('tb_users')->where('id',$id)->get();
		if(count($sql)){
			$row = $sql[0];
			$dbcon =$row->dbcon;
			 $this->setConnection($dbcon);
		
		}	
		
	}

	public static function querySelect(  ){
		
		return "  SELECT calendar.* FROM calendar  ";
	}	

	public static function queryWhere(  ){
	    	$id = Auth::id();

		$dbcon = 0;
		$sql = \DB::table('tb_users')->where('id',$id)->get();
		if(count($sql)){
			$row = $sql[0];
			$Email =$row->email;
		}	  
	    
	   
		return "  WHERE calendar.id IS NOT NULL AND Status !='Programar Actividad' AND Status !='Programada' AND Status !='No Completada' AND Status !='Completada' AND title !='Mudanza'  AND calendar.email='$Email'";
	}
	
	public static function queryGroup(){
		return "  ";
	}
	

}
